com.explodingpixels.macwidgets.plaf

## Class UnifiedToolbarButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - com.explodingpixels.macwidgets.plaf.UnifiedToolbarButtonUI

Direct Known Subclasses:
  PreferencesTabBarButtonUI

    public class UnifiedToolbarButtonUI
    extends BasicButtonUI

### Field Summary

### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

`defaultTextIconGap, defaultTextShiftOffset`

### Constructor Summary

Constructors
Constructor and Description
`UnifiedToolbarButtonUI()`

### Method Summary

Methods
`protected void` `installDefaults(AbstractButton b)`
`protected void` `paintIcon(Graphics g, JComponent c, Rectangle iconRect)`
`protected void` `paintText(Graphics g, JComponent c, Rectangle textRect, String text)`
`protected void` `uninstallDefaults(AbstractButton b)`

### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

`clearTextShiftOffset, createButtonListener, createUI, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, getPreferredSize, getPropertyPrefix, getTextShiftOffset, installKeyboardActions, installListeners, installUI, paint, paintButtonPressed, paintFocus, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnifiedToolbarButtonUI

    public UnifiedToolbarButtonUI()

### Method Detail

#### installDefaults

    protected void installDefaults(AbstractButton b)

Overrides:
  `installDefaults` in class `BasicButtonUI`

#### uninstallDefaults

    protected void uninstallDefaults(AbstractButton b)

Overrides:
  `uninstallDefaults` in class `BasicButtonUI`

#### paintIcon

    protected void paintIcon(Graphics g,
                 JComponent c,
                 Rectangle iconRect)

Overrides:
  `paintIcon` in class `BasicButtonUI`

#### paintText

    protected void paintText(Graphics g,
                 JComponent c,
                 Rectangle textRect,
                 String text)

Overrides:
  `paintText` in class `BasicButtonUI`